Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.util
Class DataNodeCommitHelper

    java.lang.Object
      org.objectstyle.cayenne.access.util.DataNodeCommitHelper

Deprecated. Unused since 1.2.

    public class DataNodeCommitHelper

extends java.lang.Object

Author:
  Andrei Adamchik

Field Summary
`static int` | `DELETE` Deprecated.
`protected java.util.Map` | `flattenedDeleteQueries` Deprecated.
`protected java.util.Map` | `flattenedInsertQueries` Deprecated.
`static int` | `INSERT` Deprecated.
`protected DataNode` | `node` Deprecated.
`protected java.util.List` | `objEntitiesForDelete` Deprecated.
`protected java.util.List` | `objEntitiesForInsert` Deprecated.
`protected java.util.List` | `objEntitiesForUpdate` Deprecated.
`protected java.util.List` | `queries` Deprecated.
`static int` | `UPDATE` Deprecated.

Constructor Summary
`DataNodeCommitHelper(DataNode node)` Deprecated.

Method Summary
`void` | `addToEntityList(ObjEntity ent, int listType)` Deprecated.
`void` | `addToQueries(Query q)` Deprecated.
`java.util.Map` | `getFlattenedDeleteQueries()` Deprecated.
`java.util.Map` | `getFlattenedInsertQueries()` Deprecated.
`static DataNodeCommitHelper` | `getHelperForNode(java.util.List helpers, DataNode node)` Deprecated. Finds an existing helper for DataNode, creates a new one if no matching helper is found.
`DataNode` | `getNode()` Deprecated. Returns the node.
`java.util.List` | `getObjEntitiesForDelete()` Deprecated. Returns the objEntitiesForDelete.
`java.util.List` | `getObjEntitiesForInsert()` Deprecated. Returns the objEntitiesForInsert.
`java.util.List` | `getObjEntitiesForUpdate()` Deprecated. Returns the objEntitiesForUpdate.
`java.util.List` | `getQueries()` Deprecated. Returns the queries.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSERT

    public static final int INSERT

  Deprecated.
  See Also:
    Constant Field Values

### UPDATE

    public static final int UPDATE

  Deprecated.
  See Also:
    Constant Field Values

### DELETE

    public static final int DELETE

  Deprecated.
  See Also:
    Constant Field Values

### node

    protected DataNode node

  Deprecated.

### objEntitiesForInsert

    protected java.util.List objEntitiesForInsert

  Deprecated.

### objEntitiesForDelete

    protected java.util.List objEntitiesForDelete

  Deprecated.

### objEntitiesForUpdate

    protected java.util.List objEntitiesForUpdate

  Deprecated.

### flattenedInsertQueries

    protected java.util.Map flattenedInsertQueries

  Deprecated.

### flattenedDeleteQueries

    protected java.util.Map flattenedDeleteQueries

  Deprecated.

### queries

    protected java.util.List queries

  Deprecated.

Constructor Detail

### DataNodeCommitHelper

    public DataNodeCommitHelper(DataNode node)

  Deprecated.

Method Detail

### getHelperForNode

    public static DataNodeCommitHelper getHelperForNode(java.util.List helpers,
                                                        DataNode node)

  Deprecated.
  Finds an existing helper for DataNode, creates a new one if no matching helper is found.

### addToEntityList

    public void addToEntityList(ObjEntity ent,
                                int listType)

  Deprecated.

### addToQueries

    public void addToQueries(Query q)

  Deprecated.

### getNode

    public DataNode getNode()

  Deprecated.
  Returns the node.

### getQueries

    public java.util.List getQueries()

  Deprecated.
  Returns the queries.

### getObjEntitiesForDelete

    public java.util.List getObjEntitiesForDelete()

  Deprecated.
  Returns the objEntitiesForDelete.

  Returns:
    List

### getObjEntitiesForInsert

    public java.util.List getObjEntitiesForInsert()

  Deprecated.
  Returns the objEntitiesForInsert.

  Returns:
    List

### getObjEntitiesForUpdate

    public java.util.List getObjEntitiesForUpdate()

  Deprecated.
  Returns the objEntitiesForUpdate.

  Returns:
    List

### getFlattenedDeleteQueries

    public java.util.Map getFlattenedDeleteQueries()

  Deprecated.

### getFlattenedInsertQueries

    public java.util.Map getFlattenedInsertQueries()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.